# $Revision: 1.4 $, $Date: 2006/05/24 18:53:08 $
Summary:	A high-level cross-protocol url-grabber
Summary(pl):	Wysokopoziomowa biblioteka do wychwytywania URL-i do wielu protokow
Name:		python-urlgrabber
Version:	2.9.8
Release:	1
License:	LGPL
Group:		Libraries/Python
Source0:	http://linux.duke.edu/projects/urlgrabber/download/urlgrabber-%{version}.tar.gz
# Source0-md5:	621abdb5f839e139c7b27802f99bc72f
URL:		http://linux.duke.edu/projects/urlgrabber/
Provides:	urlgrabber
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A high-level cross-protocol url-grabber for Python supporting HTTP,
FTP and file locations. Features include keepalive, byte ranges,
throttling, authentication, proxies and more.

%description -l pl
Wysokopoziomowa biblioteka Pythona do wychwytywania URL-i dla wielu
protokow, obsugujca odnoniki HTTP, FTP i file. Moliwoci
obejmuj poczenia keepalive, przedziay bajtw, tumienie,
uwierzytelnianie, proxy itp.

%prep
%setup -q -n urlgrabber-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install \
	--root=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_docdir}/urlgrabber-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO
%attr(755,root,root) %{_bindir}/urlgrabber
%{py_sitescriptdir}/urlgrabber

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-urlgrabber.spec,v $
Revision 1.4  2006/05/24 18:53:08  glen
- better group

Revision 1.3  2006/05/24 18:42:25  glen
- 2.9.8

Revision 1.2  2005/04/24 14:26:05  qboosh
- pl, cleanups, added Source0 URL, use explicit file list

Revision 1.1  2005/04/23 21:49:05  patrys
- Initial PLD release
